/**
 * $File: Jenkinsfile $
 * $Date: 2023-10-30 21:21:51 $
 * $Revision: $
 * $Creator: CREATOR_NAME $
 * $Notice: See LICENSE.txt for modification and distribution information
 *                   Copyright © 2023 by COPYRIGHT_INFO $
 */


pipeline {
    agent {
        node {
            label 'jenkins-agent-goes-here'
        }
    }
    stages {
        stage('build') {
            steps {
                echo "Buildin..."
                sh '''
                echo "doing build stuff.."
                '''
            }
        }
        stage('test') {
            steps {
                echo "Testing.."
                sh '''
                echo "doing test stuff.."
                '''
            }
        }
        stage('deliver') {
            steps {
                echo "Deliver.."
                sh '''
                echo "doing delivery stuff.."
                '''
            }
        }
    }
}
